=== debian/changelog ===
clisp (1:2.49.20210628.gitde01f0f-3.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:07 +1100

clisp (1:2.49.20210628.gitde01f0f-3.1build2) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:30:56 +0000

clisp (1:2.49.20210628.gitde01f0f-3.1build1) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 06:48:33 -0400

clisp (1:2.49.20210628.gitde01f0f-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop clisp-module-pcre. (Closes: #1000089)

 -- Bastian Germann <bage@debian.org>  Fri, 18 Aug 2023 16:39:51 +0000

clisp (1:2.49.20210628.gitde01f0f-3) unstable; urgency=medium

  * Team upload.
  * pari-2.15.patch: new patch, fixes FTBFS against pari 2.15.0-2.
    Thanks to Bill Allombert. (Closes: #1020437)
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  * Remove myself from Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 25 Sep 2022 11:46:30 +0200

clisp (1:2.49.20210628.gitde01f0f-2) unstable; urgency=medium

  * Disable PIE when building for ppc64el and s390x as PIE executables get
    loaded at addresses that do not work with clisp's GC.
    Thanks to Michael Hudson-Doyle (LP: #1931531)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Sep 2021 16:54:12 +0200

clisp (1:2.49.20210628.gitde01f0f-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: now track upstream git repository, since it’s unclear when a new
    tarball will be released.
  * d/copyright: reflect upstream changes
  * socket-test.patch: drop patch, applied upstream
  * ppc64el.patch: drop patch, no longer needed
  * Ship additional stuff: the build-aux subdirectory, and the Emacs, Vim and
    Autoconf support files
  * Bump to debhelper 13
  * Add lintian overrides for library-not-linked-against-libc in modules
  * Remove more webbugs in documentation
  * Ship the fastcgi, libsvm and pari modules
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.6.0
  * Add d/upstream/metadata
  * config.patch: new patch, for better Debian integration:
    + use “editor” as default editor (if the EDITOR variable is not set)
    + use “sensible-browser” as default browser
    + if the hyperspec package is installed, use the local CLHS
      (Closes: #963776)
    + if the clisp-doc package is installed, use the locally installed
      implementation notes

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Aug 2021 19:32:34 +0200
