## clisp 2.49.20241103.git386dcd7

=== debian/changelog ===
clisp (1:2.49.20241103.git386dcd7-1) unstable; urgency=medium

  * New upstream version 2.49.20241103.git386dcd7
  * Refreshed patches, dropped pari-2.15.patch which was accepted upstream
  * Added some berkeley-db merge requests which seem needed
  * Fix CLX build
  * Removed a flaky test
  * Depend on regular libncurses-dev
  * include fix for startup problems on hurd-i386. Closes: #1021420
  * Fix manpage error. Closes: #1041788
  * Adjusted manpage patch, macro got renamed an-trap -> an-input-trap
  * Adjusted copyright file
  * Updated Standards-Version, no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 03 Nov 2024 20:05:48 +0100
