=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>
 Build-Depends:
@@ -10,7 +9,7 @@
  debhelper (>= 12.8~),
  gettext,
  bison,
- libncurses5-dev,
+ libncurses-dev,
  groff,
  ghostscript,
  libx11-dev,
@@ -22,6 +21,7 @@
  libffcall-dev,
  libgdbm-dev,
  libpq-dev,
+ libpcre3-dev,
  libdbus-1-dev,
  zlib1g-dev,
  libunistring-dev,
@@ -29,7 +29,7 @@
  libfcgi-dev,
  libsvm-dev,
  libpari-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: http://www.clisp.org/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/clisp.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/clisp
@@ -51,6 +51,7 @@
           clisp-module-gdbm,
           clisp-module-libsvm,
           clisp-module-pari,
+          clisp-module-pcre,
           clisp-module-postgresql,
           clisp-module-zlib,
           hyperspec
@@ -109,6 +110,19 @@
  This package adds a module to CLISP that implements an interface to the
  Berkeley DB.
 
+Package: clisp-module-pcre
+Architecture: any
+Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
+Enhances: clisp
+Description: GNU CLISP module that adds libpcre support
+ GNU CLISP is a Common Lisp implementation.
+ It conforms to the ANSI Common Lisp standard, and offers many extensions.
+ It runs on all desktop operating systems (GNU and Unix systems, macOS,
+ Windows) and is particularly memory-efficient.
+ .
+ This adds a module to CLISP that implements an interface to the
+ libpcre which implements Perl-compatible regular expressions.
+
 Package: clisp-module-postgresql
 Architecture: any
 Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
