=== debian/changelog ===
clisp (1:2.49.20241123.git9ff8aed-1) unstable; urgency=medium

  * New upstream version 2.49.20241123.git9ff8aed
  * Refreshed patches

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 04 Dec 2024 18:41:27 +0100

clisp (1:2.49.20241118.gitfaa3b6b-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 22 Nov 2024 07:53:26 +0100

clisp (1:2.49.20241118.gitfaa3b6b-1) experimental; urgency=medium

  * New upstream version 2.49.20241118.gitfaa3b6b
  * Just disable the flakey socket test
  * Depend on updated ffcall 2.25. (Closes: 1061414)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Nov 2024 08:56:43 +0100

clisp (1:2.49.20241117.git2640aef-2) unstable; urgency=medium

  * Add fix for sparc64 buildd problems

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 19 Nov 2024 15:54:15 +0100

clisp (1:2.49.20241117.git2640aef-1) unstable; urgency=medium

  * New upstream version 2.49.20241117.git2640aef
  * Updated and dropped applied patches
  * Fixed tests/socket.tst failure for hurd
  * Fixed small errors in debian/copyright

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 18 Nov 2024 07:45:01 +0100

clisp (1:2.49.20241103.git386dcd7-3) unstable; urgency=medium

  * Drop clisp-module-pcre again (Closes: #1000089)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 08 Nov 2024 11:17:50 +0100

clisp (1:2.49.20241103.git386dcd7-2) unstable; urgency=medium

  * Add patch for pari 2.17

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 05 Nov 2024 19:59:20 +0100
