=== debian/control ===
--- 
+++ 
@@ -18,10 +18,9 @@
  libsigsegv-dev (>= 2.11),
  libreadline-dev,
  libdb-dev,
- libffcall-dev,
+ libffcall-dev (>= 2.5),
  libgdbm-dev,
  libpq-dev,
- libpcre3-dev,
  libdbus-1-dev,
  zlib1g-dev,
  libunistring-dev,
@@ -51,7 +50,6 @@
           clisp-module-gdbm,
           clisp-module-libsvm,
           clisp-module-pari,
-          clisp-module-pcre,
           clisp-module-postgresql,
           clisp-module-zlib,
           hyperspec
@@ -110,19 +108,6 @@
  This package adds a module to CLISP that implements an interface to the
  Berkeley DB.
 
-Package: clisp-module-pcre
-Architecture: any
-Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
-Enhances: clisp
-Description: GNU CLISP module that adds libpcre support
- GNU CLISP is a Common Lisp implementation.
- It conforms to the ANSI Common Lisp standard, and offers many extensions.
- It runs on all desktop operating systems (GNU and Unix systems, macOS,
- Windows) and is particularly memory-efficient.
- .
- This adds a module to CLISP that implements an interface to the
- libpcre which implements Perl-compatible regular expressions.
-
 Package: clisp-module-postgresql
 Architecture: any
 Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
