## clisp 2.49.20241228.gitc3ec11b

=== debian/changelog ===
clisp (1:2.49.20241228.gitc3ec11b-2) unstable; urgency=medium

  * Do dummy upload for migration (Closes: #1101188)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 24 Mar 2025 14:00:26 +0100

clisp (1:2.49.20241228.gitc3ec11b-1) unstable; urgency=medium

  * New upstream version 2.49.20241228.gitc3ec11b
  * Remove clisp-module-fastcgi, as the library it uses has a latent security
    issue. (Closes: 1099798)
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 08 Mar 2025 13:48:33 +0100
