=== debian/control ===
--- 
+++ 
@@ -25,10 +25,9 @@
  zlib1g-dev,
  libunistring-dev,
  locales-all,
- libfcgi-dev,
  libsvm-dev,
  libpari-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.clisp.org/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/clisp.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/clisp
@@ -46,7 +45,6 @@
           clisp-module-berkeley-db,
           clisp-module-clx,
           clisp-module-dbus,
-          clisp-module-fastcgi,
           clisp-module-gdbm,
           clisp-module-libsvm,
           clisp-module-pari,
@@ -173,18 +171,6 @@
  This adds a module to CLISP that implements a zlib interface,
  allowing you to compress vectors using zlib.
 
-Package: clisp-module-fastcgi
-Architecture: any
-Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
-Enhances: clisp
-Description: GNU CLISP module that adds an interface to FastCGI
- GNU CLISP is a Common Lisp implementation.
- It conforms to the ANSI Common Lisp standard, and offers many extensions.
- It runs on all desktop operating systems (GNU and Unix systems, macOS,
- Windows) and is particularly memory-efficient.
- .
- This adds a module to CLISP that implements an interface to FastCGI.
-
 Package: clisp-module-libsvm
 Architecture: any
 Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
