=== debian/changelog ===
clisp (1:2.49.20250504.gitf662209-2) sid; urgency=medium

  * Remove clisp-module-berkeley-db as libdb is leaving Debian.
    (Closes: #1119213

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 31 Oct 2025 08:05:55 +0100

clisp (1:2.49.20250504.gitf662209-1) unstable; urgency=medium

  * New upstream version.
  * This new version fixes the ftbfs with GCC-15 (Closes: #1096442)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Sep 2025 11:13:50 +0200
