=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
  libx11-dev,
  libxext-dev,
  libxpm-dev,
- libsigsegv-dev (>= 2.11),
+ libsigsegv-dev (>= 2.15),
  libreadline-dev,
- libdb-dev,
  libffcall-dev (>= 2.5),
  libgdbm-dev,
  libpq-dev,
@@ -42,7 +41,6 @@
 Suggests: gdb,
           clisp-doc,
           slime,
-          clisp-module-berkeley-db,
           clisp-module-clx,
           clisp-module-dbus,
           clisp-module-gdbm,
@@ -92,19 +90,6 @@
  Windows) and is particularly memory-efficient.
  .
  This package contains the documentation for CLISP.
-
-Package: clisp-module-berkeley-db
-Architecture: any
-Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
-Enhances: clisp
-Description: GNU CLISP module that adds an interface to Berkeley DB
- GNU CLISP is a Common Lisp implementation.
- It conforms to the ANSI Common Lisp standard, and offers many extensions.
- It runs on all desktop operating systems (GNU and Unix systems, macOS,
- Windows) and is particularly memory-efficient.
- .
- This package adds a module to CLISP that implements an interface to the
- Berkeley DB.
 
 Package: clisp-module-postgresql
 Architecture: any
