=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.49.%cd.git%h" \
https://gitlab.com/gnu-clisp/clisp.git \
HEAD debian uupdate
